Bug 92032 - New port: sysutils/sysupdate.sh Tool for updating a FreeBSD system
New port: sysutils/sysupdate.sh Tool for updating a FreeBSD system
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-20 01:00 UTC by tigger
Modified: 2006-01-25 13:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tigger 2006-01-20 01:00:16 UTC

Fix: 

# This archive contains:
#
#       sysupdate/Makefile
#       sysupdate/distinfo
#       sysupdate/pkg-descr
#       sysupdate/pkg-plist
#
echo x - sysupdate/Makefile
sed 's/^X//' >sysupdate/Makefile << 'END-of-sysupdate/Makefile'
X# New ports collection makefile for:   sysupdate.sh
X# Date created:                                17 Jan 2006
X# Whom:                        Tig <tig@lvlworld.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=sysupdate.sh
XPORTVERSION=0.3
XCATEGORIES=sysutils
XMASTER_SITES=${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=lvl
X
XMAINTAINER=    tig@lvlworld.com
XCOMMENT="sysupdate.sh - system and ports update script."
X
XMAN1=sysupdate.sh.1
XMANCOMPRESSED=yes
X
XWRKSRC=${WRKDIR}/sysupdate
X
XNO_BUILD=yes
X
X.include <bsd.port.mk>
END-of-sysupdate/Makefile
echo x - sysupdate/distinfo
sed 's/^X//' >sysupdate/distinfo << 'END-of-sysupdate/distinfo'
XMD5 (sysupdate.sh-0.3.tar.gz) = 980b083e37ed502acc209f2c04d02bb6
XSHA256 (sysupdate.sh-0.3.tar.gz) = bfee5eba4119aec6a26b8a1bd77dc2ba7b67c2394321
f9e1ace7d5e41614781b
XSIZE (sysupdate.sh-0.3.tar.gz) = 14530
END-of-sysupdate/distinfo
echo x - sysupdate/pkg-descr
sed 's/^X//' >sysupdate/pkg-descr << 'END-of-sysupdate/pkg-descr'
Xsysupdate.sh will update your system and/or port collection files in part or in
Xfull to the latest cvs version. sysupdate.sh can be set to only download the
Xlatest system files or can be set to compile and install a complete system
Xupdate.
X
XWWW: http://lvl.sourceforge.net/
X
X- Tig
Xtig@lvlworld.com
END-of-sysupdate/pkg-descr
echo x - sysupdate/pkg-plist
sed 's/^X//' >sysupdate/pkg-plist << 'END-of-sysupdate/pkg-plist'
Xbin/sysupdate.sh
END-of-sysupdate/pkg-plist
exit
Comment 1 Renato Botelho freebsd_committer 2006-01-25 13:10:36 UTC
State Changed
From-To: open->closed

New port added, with some changes. The most important one REINPLACE_CMD 
line to make it respect PREFIX. Thanks for contributing!